
Foreman - Bug #5224

Don't update a user with blank LDAP attribute values

04/17/2014 10:59 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Authentication   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If a user's LDAP entry does not have an e-mail address, Foreman will prompt the user for one when they login.

However, on the next login, Foreman will update the user with the blank LDAP attribute value, and then prompt the user again for an

e-mail address.

Associated revisions

Revision 2fe12e2c - 04/19/2014 11:01 AM - Stephen Benjamin

fixes #5224 - Don't update a user with blank LDAP attribute values

Revision d1ff68b5 - 04/28/2014 11:51 AM - Stephen Benjamin

fixes #5224 - Don't update a user with blank LDAP attribute values

(cherry picked from commit 2fe12e2c5f011d68cb4afbf3cd5e070e1af36155)

History

#1 - 04/17/2014 11:02 AM - Stephen Benjamin

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1386/files

#2 - 04/18/2014 03:03 PM - Dominic Cleal

- Target version set to 1.8.4

#3 - 04/19/2014 11:31 AM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2fe12e2c5f011d68cb4afbf3cd5e070e1af36155.

#4 - 04/19/2014 05:51 PM - Dominic Cleal

- translation missing: en.field_release set to 4
